<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>FileIconProvider Namespace | Extending Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="extending-index.html">Extending Qt Creator Manual</a></td><td >FileIconProvider Namespace</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="extending-index.html">Extending Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#functions">Functions</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">FileIconProvider Namespace</h1>
<span class="small-subtitle">(<a href="core-fileiconprovider-sub-qt-creator.html">Core::FileIconProvider</a>)<br/></span>
<ul>
</ul>
<a name="functions"></a>
<h2 id="functions">Functions</h2>
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Core::Q_DECL_IMPORT </td><td class="memItemRight bottomAlign"><b><a href="core-fileiconprovider-sub-qt-creator.html#registerIconOverlayForMimeType">registerIconOverlayForMimeType</a></b>(const class QIcon &amp;<i>icon</i>, const QString &amp;<i>mimeType</i>)</td></tr>
<tr><td class="memItemLeft rightAlign topAlign"> Core::Q_DECL_IMPORT </td><td class="memItemRight bottomAlign"><b><a href="core-fileiconprovider-sub-qt-creator.html#registerIconOverlayForMimeType-1">registerIconOverlayForMimeType</a></b>(const QString &amp;<i>path</i>, const QString &amp;<i>mimeType</i>)</td></tr>
<tr><td class="memItemLeft rightAlign topAlign"> Core::Q_DECL_IMPORT </td><td class="memItemRight bottomAlign"><b><a href="core-fileiconprovider-sub-qt-creator.html#registerIconOverlayForSuffix">registerIconOverlayForSuffix</a></b>(const QString &amp;<i>path</i>, const QString &amp;<i>suffix</i>)</td></tr>
</table></div>
<a name="details"></a>
<div class="func">
<h2>Function Documentation</h2>
<!-- $$$registerIconOverlayForMimeType[overload1]$$$registerIconOverlayForMimeTypeconstclassQIcon&constQString& -->
<h3 class="fn" id="registerIconOverlayForMimeType"><a name="registerIconOverlayForMimeType"></a><span class="type">Core::Q_DECL_IMPORT</span> FileIconProvider::<span class="name">registerIconOverlayForMimeType</span>(const <span class="type">class</span> <span class="type"><a href="http://doc.qt.io/qt-5/qicon.html">QIcon</a></span> &amp;<i>icon</i>, const <span class="type"><a href="http://doc.qt.io/qt-5/qstring.html">QString</a></span> &amp;<i>mimeType</i>)</h3>
<p>Registers an icon for all the suffixes of a given mime type, overlaying the system file icon.</p>
<!-- @@@registerIconOverlayForMimeType -->
<!-- $$$registerIconOverlayForMimeType$$$registerIconOverlayForMimeTypeconstQString&constQString& -->
<h3 class="fn" id="registerIconOverlayForMimeType-1"><a name="registerIconOverlayForMimeType-1"></a><span class="type">Core::Q_DECL_IMPORT</span> FileIconProvider::<span class="name">registerIconOverlayForMimeType</span>(const <span class="type"><a href="http://doc.qt.io/qt-5/qstring.html">QString</a></span> &amp;<i>path</i>, const <span class="type"><a href="http://doc.qt.io/qt-5/qstring.html">QString</a></span> &amp;<i>mimeType</i>)</h3>
<p>This is an overloaded function.</p>
<!-- @@@registerIconOverlayForMimeType -->
<!-- $$$registerIconOverlayForSuffix[overload1]$$$registerIconOverlayForSuffixconstQString&constQString& -->
<h3 class="fn" id="registerIconOverlayForSuffix"><a name="registerIconOverlayForSuffix"></a><span class="type">Core::Q_DECL_IMPORT</span> FileIconProvider::<span class="name">registerIconOverlayForSuffix</span>(const <span class="type"><a href="http://doc.qt.io/qt-5/qstring.html">QString</a></span> &amp;<i>path</i>, const <span class="type"><a href="http://doc.qt.io/qt-5/qstring.html">QString</a></span> &amp;<i>suffix</i>)</h3>
<p>Registers an icon for a given suffix, overlaying the system file icon. See platform note in class documentation about recommended usage.</p>
<!-- @@@registerIconOverlayForSuffix -->
</div>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
